server:
  port: 7001
  
spring:
  application:
    name: jeecg-system
  cloud:
    nacos:
      config:
        server-addr: jeecg-boot-nacos:8848
        group: DEFAULT_GROUP
        namespace: springboot3
        username: 
        password: 
      discovery:
        server-addr: ${spring.cloud.nacos.config.server-addr}
        group: DEFAULT_GROUP
        namespace: springboot3
        username: 
        password: 
  config:
    import:
      - optional:classpath:config/application-liteflow.yml
      - optional:nacos:jeecg.yaml
      - optional:nacos:jeecg-dev.yaml
#  #shardingjdbc数据源
#  datasource:
#    dynamic:
#      datasource:
#        sharding-db:
#          driver-class-name: org.apache.shardingsphere.driver.ShardingSphereDriver
#          url: jdbc:shardingsphere:nacos:sharding.yaml?serverAddr=jeecg-boot-nacos:8848&namespace=springboot3&group=DEFAULT_GROUP